## waylib 0.2.0-alpha2+git+20240808

=== debian/changelog ===
waylib (0.2.0-alpha2+git+20240808-deepin) unstable; urgency=medium

  * Sync upstream code

  -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Thu, 08 Aug 2024 10:42:06 +0800

waylib (0.2.0-alpha2+git+20240726-deepin) unstable; urgency=medium

 * Sync upstream code

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 26 Jul 2024 11:00:00 +0800

waylib (0.2.0-alpha2+git+20240626-deepin) unstable; urgency=medium

 * Sync upstream code

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 26 Jun 2024 18:42:06 +0800

waylib (0.2.0-alpha2) unstable; urgency=medium

   * Sync upstream code

  -- Dingyuan Zhang <zhangdingyuan@deepin.org>  Thu, 20 Jun 2024 19:00:53 +0800

waylib (0.2.0-alpha1) unstable; urgency=medium

   * Sync upstream code

  -- Dingyuan Zhang <zhangdingyuan@deepin.org>  Tue, 28 May 2024 13:07:53 +0800

waylib (0.1.1-0deepin) unstable; urgency=medium

  * Exclude client self when request grab keyboard on virtual keyboard.

 -- JiDe Zhang <zhangjide@deepin.org>  Fri, 19 Jan 2023 10:10:03 +0800

waylib (0.0+git20231225-0deepin) UNSTABLE; urgency=medium

  * sync upstream code

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Mon, 25 Dec 2023 13:57:54 +0800

waylib (0.0+git20231208-0deepin) UNSTABLE; urgency=medium

  * fix build with wlroots 0.17.0

 -- rewine <luhongxu@deepin.org>  Fri, 24 Nov 2023 17:28:54 +0800

waylib (0.0+git20231030-0deepin) UNSTABLE; urgency=medium

  * Initial

 -- zkyd <zkyd@zjide.org>  Sat, 17 Jul 2021 16:09:03 +0800
