=== tests/CMakeLists.txt ===
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory(manual)
endif()
