=== src/server/CMakeLists.txt ===
--- 
+++ 
@@ -62,7 +62,7 @@
     kernel/wsurface.cpp
     kernel/wtoplevelsurface.cpp
 
-    kernel/wtexture.cpp
+
     kernel/wtypes.cpp
 
     kernel/woutputlayout.cpp
@@ -89,6 +89,8 @@
     qtquick/wxwaylandsurfaceitem.cpp
     qtquick/wqmlcreator.cpp
     qtquick/winputpopupsurfaceitem.cpp
+    qtquick/wsgtextureprovider.cpp
+    qtquick/wtextureproviderprovider.cpp
 
     qtquick/private/wquickcoordmapper.cpp
     qtquick/private/wquicksocketattached.cpp
@@ -143,7 +145,6 @@
     kernel/wevent.h
     kernel/wserver.h
     kernel/wsurface.h
-    kernel/wtexture.h
     kernel/wtypes.h
     kernel/woutputlayout.h
     kernel/wxcursorimage.h
@@ -159,7 +160,6 @@
     kernel/WSeat
     kernel/WEvent
     kernel/WInputEvent
-    kernel/WTexture
     kernel/WSurface
 
     qtquick/wsurfaceitem.h
@@ -182,7 +182,8 @@
     qtquick/wxwaylandsurfaceitem.h
     qtquick/winputpopupsurfaceitem.h
     qtquick/wqmlcreator.h
-    qtquick/wbuffertextureprovider.h
+    qtquick/wsgtextureprovider.h
+    qtquick/wtextureproviderprovider.h
 
     utils/wtools.h
     utils/wthreadutils.h
