=== debian/changelog ===
waylib (0.3.0+git+20241018-0deepin) unstable; urgency=medium

  * Sync upstream code

  -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 18 Otc 2024 11:32:00 +0800

waylib (0.3.0-deepin+1) unstable; urgency=medium

  * Sync upstream code

  -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 23 Aug 2024 10:01:00 +0800
