## waylib 0.3.0+git+20241101

=== debian/changelog ===
waylib (0.3.0+git+20241101-0deepin) unstable; urgency=medium

  * Sync upstream code

  -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 01 Nov 2024 11:32:00 +0800
