## waylib 0.6.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.21)
 
 project(Waylib
-    VERSION 0.1.1
+    VERSION 0.6.13
     LANGUAGES CXX C)
 
 set(CMAKE_CXX_STANDARD 20)
@@ -15,7 +15,7 @@
 # Don't install tinywl by default, using for debug in local
 option(INSTALL_TINYWL "A minimum viable product Wayland compositor based on waylib" OFF)
 option(ADDRESS_SANITIZER "Enable address sanitize" OFF)
-option(WAYLIB_USE_PERCOMPILE_HEADERS "Use precompile headers to build waylib" ON)
+option(WAYLIB_USE_PERCOMPILE_HEADERS "Use precompile headers to build waylib" OFF)
 
 set(QT_COMPONENTS Core Gui Quick)
 find_package(Qt6 COMPONENTS ${QT_COMPONENTS} REQUIRED)
@@ -47,5 +47,6 @@
     add_subdirectory(examples)
 endif()
 if(BUILD_TESTS)
+    enable_testing(true)
     add_subdirectory(tests)
 endif()
