=== qwlroots/examples/CMakeLists.txt ===
include_directories(PRIVATE
    ${PROJECT_SOURCE_DIR}/src
)

add_subdirectory(tinywl)
